Skip to main content
GET
/
assets
/
depreciation
[beta] Get depreciation transactions.
curl --request GET \
  --url https://api.samsara.com/assets/depreciation \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "amount": {
        "amount": "640.2",
        "currency": "usd"
      },
      "assetId": "281474993384538",
      "createdAt": "2024-12-05T10:30:00Z",
      "eventTime": "2024-11-30T23:59:59Z",
      "id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
      "transactionType": "depreciation",
      "updatedAt": "2024-12-05T10:30:00Z",
      "costCenterId": "5523a39f-42ef-4820-83d0-dfe73dbe7853",
      "note": "November 2024 monthly depreciation"
    }
  ],
  "pagination": {
    "endCursor": "MjkY",
    "hasNextPage": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

startTime
string<date-time>

RFC 3339 timestamp. Returns transactions updated after this time. Compared against updatedAt. If not provided, returns all transactions. Millisecond precision and timezones are supported. (Examples: 2019-06-13T19:08:25Z, 2019-06-13T19:08:25.455Z, OR 2015-09-15T14:00:12-04:00).

endTime
string<date-time>

RFC 3339 timestamp. Returns transactions updated before this time. Compared against updatedAt. If not provided, behaves as an unending feed of changes. Millisecond precision and timezones are supported. (Examples: 2019-06-13T19:08:25Z, 2019-06-13T19:08:25.455Z, OR 2015-09-15T14:00:12-04:00).

assetIds
string[]

Filter by asset IDs. Up to 50 ids.

after
string

If specified, this should be the endCursor value from the previous page of results. When present, this request will return the next page of results that occur immediately after the previous page of results.

Response

OK response.

data
object[]
required

Depreciation transactions

pagination
object
required

Pagination parameters.